Attribute VB_Name = "Módulo1"
Sub agenda()
Attribute agenda.VB_Description = "Formato de agenda"
Attribute agenda.VB_ProcData.VB_Invoke_Func = "S\n14"
'
' agenda Macro
' Formato de agenda
'
' Acceso directo: Ctrl+Mayús+S
'
    Range("A1:R2069").Select
    Selection.Cut
    Range("A2").Select
    ActiveSheet.Paste
    Range("A1").Select
    ActiveCell.FormulaR1C1 = "NOMBRE"
    Range("B1").Select
    ActiveCell.FormulaR1C1 = "APELLIDO MAT"
    Range("C1").Select
    ActiveCell.FormulaR1C1 = "APELIIDO PAT"
    Range("B1").Select
    ActiveCell.FormulaR1C1 = "APELLDIO PAT"
    Range("C1").Select
    ActiveCell.FormulaR1C1 = "APELLIDO MAT"
    Range("D1").Select
    ActiveCell.FormulaR1C1 = "NUMERO TELEFONICO"
    Range("E1").Select
    ActiveCell.FormulaR1C1 = "E-MAIL"
    Range("F1").Select
    ActiveCell.FormulaR1C1 = "CALLE"
    Range("G1").Select
    ActiveCell.FormulaR1C1 = "NUMERO"
    Range("H1").Select
    ActiveCell.FormulaR1C1 = "COLONIA"
    Range("I1").Select
    ActiveCell.FormulaR1C1 = "CP"
    Range("J1").Select
    ActiveCell.FormulaR1C1 = "MUNICIPIO"
    Range("B5").Select
    Columns("A:A").EntireColumn.AutoFit
    Columns("B:B").EntireColumn.AutoFit
    Columns("C:C").EntireColumn.AutoFit
    Columns("D:D").EntireColumn.AutoFit
    Columns("E:E").EntireColumn.AutoFit
    Columns("F:F").EntireColumn.AutoFit
    Columns("G:G").EntireColumn.AutoFit
    Columns("H:H").EntireColumn.AutoFit
    Columns("I:I").EntireColumn.AutoFit
    Columns("J:J").Select
    Columns("J:J").EntireColumn.AutoFit
    Range("A1:J1145").Select
    ActiveWindow.SmallScroll Down:=-21
    Range("A1:I1145").Select
    Selection.Borders(xlDiagonalDown).LineStyle = xlNone
    Selection.Borders(xlDiagonalUp).LineStyle = xlNone
    With Selection.Borders(xlEdgeLeft)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeTop)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeBottom)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeRight)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlInsideVertical)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlInsideHorizontal)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    Range("A1:J1145").Select
    Selection.Borders(xlDiagonalDown).LineStyle = xlNone
    Selection.Borders(xlDiagonalUp).LineStyle = xlNone
    With Selection.Borders(xlEdgeLeft)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeTop)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeBottom)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlEdgeRight)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlInsideVertical)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
    With Selection.Borders(xlInsideHorizontal)
        .LineStyle = xlDouble
        .Weight = xlThick
        .ColorIndex = xlAutomatic
    End With
End Sub
